<?php
namespace Modules\GlobalApplication\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Incidents
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function incidents(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportIncidents(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function creationIncidents(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function modificationIncident(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function suppresionIncidents(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function incidentsMailCommande(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function recordIncidentData(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function editSheet(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function popupLitigeCreate(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function litigeCreate(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function popupLitigeDelete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function litigeDelete(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function mailToFourPopup(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function mailToFour(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function traiterLitigePopup(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function litigeDemandeAvoir(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function mailToComptable(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function cloturerLitige(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function detail(): bool
    {
        return true;
    }
}
